/*
 * Copyright (C) 2011 Giuseppe Calà <jiveaxe@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DEALSWIDGET_H
#define DEALSWIDGET_H

#include <Plasma/ScrollWidget>

namespace Plasma {
    class WebView;
}

class QGraphicsLinearLayout;

class DealsWidget : public QGraphicsWidget
{
    Q_OBJECT

    public:
        explicit DealsWidget(QGraphicsWidget* parent = 0);
        Plasma::WebView* m_webView;

    public Q_SLOTS:
        void linkActivated(const QUrl& link);


    Q_SIGNALS:


    private:
        QGraphicsLinearLayout* m_layout;
};


#endif
