static const char *BEGIN =
"<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\""
"\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"
"<html xmlns=\"http://www.w3.org/1999/xhtml\">\n"
"<head>\n"
"  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\n"
"  <link rel=\"stylesheet\" type=\"text/css\" href=\"steamcompanion.css\" />\n"
"  <title>Steam Companion</title>\n"
"  <script type=\"text/javascript\" src=\"%1\"></script>\n"
"  <script type=\"text/javascript\">\n"
"    function InitDailyDealTimer( elTimer, nServerEndTime )\n"
"    {\n"
"      var nTimeRemaining = nServerEndTime - g_ServerTime;\n"
"      if ( nTimeRemaining > 0 )\n"
"      {\n"
"        var nEndTimeLocal = Math.round( new Date().getTime() / 1000 ) + nTimeRemaining;\n"
"        new Countdown( elTimer, nEndTimeLocal );\n"
"      }\n"
"    }\n\n"
"      var Countdown = Class.create( {\n"
"        elClock: null,\n"
"        nEndTime: null,\n"
"        nIntervalId: null,\n"
"        bEnded: false,\n"
"        initialize: function( elClock, nEndTimeLocalTime )\n"
"        {\n"
"          this.elClock = elClock;\n"
"          this.nEndTime = nEndTimeLocalTime;\n"
"          this.bEnded = false;\n"
"          this.nIntervalId = window.setInterval( this.refreshClock.bind( this ), 1000 );\n"
"          refreshClock();\n"
"        },\n"
"        refreshClock: function()\n"
"        {\n"
"          if ( this.bEnded )\n"
"            return;\n"
"          var timeCur = Math.round( new Date().getTime() / 1000 );\n"
"          var secsRemaining = this.nEndTime - timeCur;\n"
"          if ( secsRemaining < 0 )\n"
"          {\n"
"            this.bEnded = true;\n"
"            secsRemaining = 0;\n"
"            window.clearInterval( this.nIntervalId );\n"
"          }\n"
"          var remainHours = Math.floor( secsRemaining / 3600 );\n"
"          var remainMinutes = Math.floor( ( secsRemaining % 3600 ) / 60 );\n"
"          var remainSeconds = secsRemaining % 60;\n"
"          var str = (remainHours < 10 ? '0' : '') + remainHours + ':';\n"
"          str += (remainMinutes < 10 ? '0' : '') + remainMinutes + ':';\n"
"          str += (remainSeconds < 10 ? '0' : '') + remainSeconds;\n"
"          this.elClock.update( str );\n"
"        }\n"
"    });\n"
"  </script>\n"
"</head>\n\n"
"<body>\n";

static const char *BEGIN2 =
"<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\""
"\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"
"<html xmlns=\"http://www.w3.org/1999/xhtml\">\n"
"<head>\n"
"  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\n"
"  <link rel=\"stylesheet\" type=\"text/css\" href=\"steamcompanion.css\" />\n"
"  <title>Steam Companion</title>\n"
"  <script type=\"text/javascript\" src=\"%1\"></script>\n"
"  <script type=\"text/javascript\">\n"
"    var lastFilter = '';\n"
"    function filterApps()\n"
"    {\n"
"        filterString = $('gameFilter').value;\n"
"        filterString = filterString.toLowerCase();\n"
"        if ( filterString == lastFilter )\n"
"            return;\n"
"        for ( appid in rgGames )\n"
"        {\n"
"            if ( parseInt( appid ) != appid )\n"
"            {\n"
"                continue;\n"
"            }\n"
"            lc = rgGames[appid].toString().toLowerCase();\n"
"            if ( filterString.length == 0 || lc.indexOf( filterString ) != -1 )\n"
"            {\n"
"                z = $('game_'+appid);\n"
"                if ( z != null )\n"
"                    $('game_'+appid).style.display = 'block';\n"
"            }\n"
"            else\n"
"            {\n"
"                z = $('game_'+appid);\n"
"                if ( z != null )\n"
"                    $('game_'+appid).style.display = 'none';\n"
"            }\n"
"        }\n"
"        lastFilter = filterString;\n"
"    }\n"
"  </script>\n"
"  <script type=\"text/javascript\">%2</script>\n"
"</head>\n\n"
"<body>\n";

static const char *JS_SERVER_TIME = "  <script type=\"text/javascript\">\n"
                                    "    var g_ServerTime = %1;\n"
                                    "  </script>\n\n";

static const char *JS_TIMER       = "  <script type=\"text/javascript\">\n"
                                    "    InitDailyDealTimer( $('dailydeal_timer'), %1 )\n"
                                    "  </script>\n\n";

static const char *BEGIN_TABLE    = "<table>\n";

static const char *HEADER_LINE    = "  <TR class=\"block_header\"><TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >%1</TD></TR>\n";

static const char *SPOTLIGHT_LINE = "  <TR class=\"spotlight\">\n"
                                    "    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >\n"
                                    "      <a href=\"%1\"><img width=\"306\" src=\"%2\" border=\"0\"/></a>\n"
                                    "    </TD>\n"
                                    "  </TR>\n"
                                    "  <TR class=\"spotlight\">\n"
                                    "    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >%3</TD>\n"
                                    "  </TR>\n"
                                    "  <TR class=\"description0\">\n"
                                    "    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >%4</TD>\n"
                                    "  </TR>\n";

static const char *DISCOUNT_LINE  = "  <TR class=\"%1\">\n"
                                    "    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >\n"
                                    "      <div class=\"discount_block discount_block_inline\">\n"
                                    "        <div class=\"discount_prices\">\n"
                                    "          <div class=\"discount_final_price\">%4</div>\n"
                                    "          <div class=\"discount_original_price\">%3</div>\n"
                                    "          <div class=\"discount_pct\">%2</div>\n"
                                    "        </div>\n"
                                    "      </div>\n"
                                    "    </TD>\n  </TR>\n";

static const char *TIMER_LINE    = "  <TR class=\"spotlight\">\n"
                                   "    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >\n"
                                   "      <div class=\"timerlabel\">\n"
                                   "        Offer ends in           </div>\n"
                                   "      <div class=\"timer\" id=\"dailydeal_timer\">\n"
                                   "      </div>\n"
                                   "    </TD>\n  </TR>\n";

static const char *NO_STEAM_ID   = "  <TR class=\"spotlight\">\n"
                                   "    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >\n"
                                   "      <div class=\"timerlabel\">%1</div>\n"
                                   "    </TD>\n  </TR>\n";

static const char *END_TABLE   = "  </table>\n";

static const char *END         = "</body>\n</html>\n";

static const char *ONE_COLUMN_LINE   = "  <TR class=\"%1\">\n    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >%2</TD>\n  </TR>\n";

static const char *TWO_COLUMNS_LINE  = "  <TR class=\"%1\">\n    <TD WIDTH=120px style=\"vertical-align:middle;\">\n"
                                         "      <a href=\"%2\">\n        <img src=\"%3\" alt=\"Buy %4\" width=\"120\" height=\"45\"/>\n"
                                         "      </a>\n"
                                         "    </TD>\n    <TD style=\"vertical-align:middle;\">\n      <a href=\"%5\"><b>%6</b>\n      </a>\n    </TD>\n  </TR>\n";

static const char *ONE_LINE_LIBRARY   = "  <TR class=\"%1\" id=\"%2\">\n    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >%3</TD>\n  </TR>\n";

static const char *TWO_LINE_LIBRARY  = "  <TR class=\"%1\" id=\"%2\">\n    <TD WIDTH=120px style=\"vertical-align:middle;\">\n"
                                         "      <a href=\"%3\">\n        <img src=\"%4\" alt=\"Buy %5\" width=\"120\" height=\"45\"/>\n"
                                         "      </a>\n"
                                         "    </TD>\n    <TD style=\"vertical-align:middle;\">\n      <a href=\"%6\"><b>%7</b>\n      </a>\n    </TD>\n  </TR>\n";

static const char *ORPHAN_LINE   = "  <TR class=\"%1\">\n    <TD COLSPAN=2 WIDTH=100% style=\"vertical-align:middle;\" >\n"
                                   "      <div class=\"discount_block discount_block_inline\">\n"
                                   "        <div class=\"discount_prices\">\n"
                                   "          <div class=\"discount_final_price\">%2</div>\n"
                                   "        </div>\n      </div>\n"
                                   "    </TD>\n  </TR>\n";

static const char *CSS =    ".spotlight { font-size:13pt; color:#fff;background-color:#1a1a1a; text-align:center; font-weight:bold; }\n"
                            ".discount0 { font-size:13pt; color:#fff; background-color:#1a1a1a; text-align:center; font-weight:bold; }\n"
                            ".discount1 { font-size:13pt; color:#fff; background-color:#1f1f1f; text-align:center; font-weight:bold; } \n"
                            ".title0 { font-size:13pt; color:#fff; background-color:#1a1a1a; }\n"
                            ".title1 { font-size:13pt; color:#fff; background-color:#1f1f1f; }\n"
                            ".description0 { font-size:11pt; color:#fff; background-color:#1a1a1a; }\n"
                            ".description1 { font-size:11pt; color:#fff; background-color:#1f1f1f; }\n"
                            "a { text-decoration:none; color:#fff; }\n"
                            "table { "
                            "    width:95%; "
                            "    border-spacing:0px; "
                            "    margin-left: auto; "
                            "    margin-right: auto;"
                            "}\n"
                            "table td {"
                            "    padding-top:5px; "
                            "    padding-right:5px; "
                            "    padding-bottom:5px; "
                            "    padding-left:5px; "
                            "}\n"
                            "body { margin:0px; background-color:black }\n"
                            ".block_header {"
                            "    background-color: #292f35;"
                            "    background-image: url(\"http://cdn.store.steampowered.com/public/images/v5/rightcol_bg_blue.png\");"
                            "    background-repeat: no-repeat;"
                            "    background-size: 100%;"
                            "    color: #d6d7d8;"
                            "    text-align:center;"
                            "}\n"
                            ".discount_pct { "
                            "    background-color: #4c6b22;"
                            "    color: #ffffff;"
                            "    float: right;"
                            "}\n"
                            ".discount_original_price { "
                            "    color: #626366;"
                            "    text-decoration: line-through;"
                            "    float: right;"
                            "    padding-right:5px;"
                            "    padding-left:5px;"
                            "}\n"
                            ".discount_final_price { "
                            "    color: #d6d7d8;"
                            "    float: right;"
                            "}\n"
                            ".daily_deal_discount_pct { "
                            "    background-color: #4c6b22;"
                            "    color: #ffffff;"
                            "    float: center;"
                            "}\n"
                            ".daily_deal_discount_original_price { "
                            "    color: #626366;"
                            "    text-decoration: line-through;"
                            "    float: center;"
                            "    padding-right:5px;"
                            "    padding-left:5px;"
                            "}\n"
                            ".daily_deal_discount_final_price { "
                            "    color: #d6d7d8;"
                            "    float: center;"
                            "}\n"
                            ".daily_deal_discount_block { "
                            "    background-color: #000000;"
                            "    position: relative;"
                            "    float: center;"
                            "}\n"
                            ".discount_block { "
                            "    background-color: #000000;"
                            "    position: relative;"
                            "    float: right;"
                            "}\n"
                            ".discount_block_inline { "
                            "    display: inline;"
                            "    padding-bottom: 1px;"
                            "    padding-left: 0px;"
                            "    padding-right: 0px;"
                            "    padding-top: 1px;"
                            "}\n"
                            ".timerlabel {\n"
                            "    font-weight: bold;"
                            "    color: orange;\n"
                            "}\n"
                            ".timer {\n"
                            "    color: #8bb9e0;\n"
                            "    font-weight: bold;\n"
                            "    font-size:13pt;\n"
                            "};\n"
                            ".searchbox {\n"
                            "    background-image: url( http://cdn.store.steampowered.com/public/images/v5/store_header_search.png?v=2 );\n"
                            "    color: #a6a5a2;\n"
                            "    width: 253px;\n"
                            "    height: 27px;\n"
                            "    position: relative;\n"
                            "    z-index: 250;\n"
                            "}\n"
                            ".searchbox input {\n"
                            "    border: none;\n"
                            "    background-color: #82807c;\n"
                            "    color: #cdcac1;\n"
                            "    margin-top: 5px;\n"
                            "    margin-left: -15px;\n"
                            "    width: 206px;\n"
                            "    outline: none;\n"
                            "}\n"
                            ".searchbox input.default {\n"
                            "    font-style: italic;\n"
                            "}\n";


static const char *NO_CONNECTION = "<div style=\"color:orange;font-size:13pt;font-weight:bold;text-align:center;\">%1</div>\n";

//static const char *FORM_LINE = "<TR><TD COLSPAN=2 WIDTH=100% class=\"searchform\"><form>%1<input type=\"text\" style=\"color:white;border:solid 1px #8bb9e0;background-color: black; -webkit-border-radius: 5px; border-radius: 5px; \" id=\"gameFilter\" name=\"gameFilter\" onkeyup=\"filterApps()\" /></form></TR></TD>";
static const char *FORM_LINE = "<TR align=\"center\"><TD COLSPAN=2 WIDTH=100% class=\"searchform\"><div id=\"store_search\"><form id=\"searchform\" name=\"searchform\"><div class=\"searchbox\"><input id=\"gameFilter\" name=\"gameFilter\" type=\"text\" class=\"default\" onkeyup=\"filterApps()\" placeholder=\"%1\" size=\"22\" autocomplete=\"off\"><a href=\"#\" id=\"store_search_link\"><img src=\"http://cdn.store.steampowered.com/public/images/blank.gif\"></a></div></form></div></TR></TD>";